﻿/* Réinitialisation des styles */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Styles de base */
body {
    font-family: Arial, sans-serif;
    font-size: 16px;
    line-height: 1.5;
    background-color: #f5f5f5;
    color: #333;
}

h1 {
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 20px;
    text-align: center;
}

label {
    font-weight: bold;
}

input[type="text"] {
    width: 100%;
    padding: 10px;
    margin: 10px 0;
    font-size: 16px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

button, .boutonPerso {
    display: inline-block;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    text-align: center;
    text-decoration: none;
    outline: none;
    color: #fff;
    background-color: #4CAF50;
    border: none;
    border-radius: 4px;
    box-shadow: 0 4px #999;
}

button:hover, .boutonPerso:hover {
    background-color: #45a049;
}

button:active, .boutonPerso:active {
    background-color: #3e8e41;
    box-shadow: 0 2px #666;
    transform: translateY(2px);
}

/* Mise en page */
.container {
    width: 80%;
    margin: 50px auto;
    background-color: #fff;
    padding: 30px;
    border-radius: 4px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.buttonContainer {
    text-align: center;
    margin-bottom: 20px;
}

.formContainer {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.formList {
    margin-right: 10px;
}

pre {
    margin-top: 20px;
    padding: 20px;
    background-color: #f8f8f8;
    border: 1px solid #e7e7e7;
    border-radius: 4px;
}

.error-message {
    padding: 15px;
    margin-bottom: 20px;
    border: 1px solid #ebccd1;
    border-radius: 4px;
    color: #a94442;
    background-color: #f2dede;
}

.success-message {
    padding: 15px;
    margin-bottom: 20px;
    border: 1px solid #d6e9c6;
    border-radius: 4px;
    color: #3c763d;
    background-color: #dff0d8;
}

.infosEntreprise, .infosRepresentants {
    text-align: center;
}

/* Partie update pour les boutons */

h1#updateDatabaseBtn, h1#addToDolibarrBtn {
    cursor: pointer;
}


 /* Partie pour les options des noms des contacts */

 select#resultsSelect{
    margin-top: 10px;
    }


 select#sameTelSelect{
display: block;
}

/* Recherche de tiers par telephone */

#searchForm button[type="submit"]:disabled {
    opacity: 0.5; /* Réduire l'opacité pour indiquer qu'il est désactivé */
    cursor: not-allowed; /* Modifier le curseur pour indiquer qu'il est désactivé */
    pointer-events: none; /* Désactiver les événements du curseur */
}
